Subject: Re: [bitcoin-dev] Segregated witness softfork with moderate adoption has very small block size effect

From: Peter Todd <[email-masked]>
Date: Sat, 19 Dec 2015 09:43:10 -0800

On Sat, Dec 19, 2015 at 11:49:25AM -0500, jl2012 via bitcoin-dev wrote:
> I have done some calculation for the effect of a SW softfork on the
> actual total block size.

Note how the fact that segwit needs client-side adoption to enable an
actual blocksize increase can be a good thing: it's a clear sign that
the ecosystem as a whole has opted-into a blocksize increase.

Not as good as a direct proof-of-stake vote, and somewhat coercive as a
vote as you pay lower fees, but it's an interesting side-effect.

-- 
'peter'[:-1]@petertodd.org
00000000000000000188b6321da7feae60d74c7b0becbdab3b1a0bd57f10947d